sensorfw: datatypes/magneticfield.h File Reference

sensorfw

Classes | Functions
magneticfield.h File Reference

QObject based datatype for CalibratedMagneticFieldData. More...

`#include <QDBusArgument>`
`#include <datatypes/orientationdata.h>`

Go to the source code of this file.

## Classes
class | MagneticField
| QObject facade for CalibratedMagneticFieldData. More...

## Functions
QDBusArgument & | operator<< (QDBusArgument &argument, const MagneticField &data)
| Marshall the MagneticField data into a D-Bus argument.
const QDBusArgument & | operator>> (const QDBusArgument &argument, MagneticField &data)
| Unmarshall MagneticField data from the D-Bus argument.

## Detailed Description

QObject based datatype for CalibratedMagneticFieldData.

Copyright (C) 2009-2010 Nokia Corporation

Author
  Timo Rongas ext-t.nosp@m.imo..nosp@m.2.ron.nosp@m.gas@.nosp@m.nokia.nosp@m..com
  Ustun Ergenoglu ext-u.nosp@m.stun.nosp@m..erge.nosp@m.nogl.nosp@m.u@nok.nosp@m.ia.c.nosp@m.om
  Tapio Rantala ext-t.nosp@m.apio.nosp@m..rant.nosp@m.ala@.nosp@m.nokia.nosp@m..com

This file is part of Sensord.

Sensord is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License version 2.1 as published by the Free Software Foundation.

Sensord is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with Sensord. If not, see http://www.gnu.org/licenses/.

Definition in file magneticfield.h.

## Function Documentation

## ◆ operator<<()

QDBusArgument & operator<< | ( | QDBusArgument & | argument,
|  | const MagneticField & | data )
| inline

Marshall the MagneticField data into a D-Bus argument.

Parameters

  argument | dbus argument.
  data | data to marshall.

Returns
  dbus argument.

Definition at line 189 of file magneticfield.h.

## ◆ operator>>()

const QDBusArgument & operator>> | ( | const QDBusArgument & | argument,
|  | MagneticField & | data )
| inline

Unmarshall MagneticField data from the D-Bus argument.

Parameters

  argument | dbus argument.
  data | unmarshalled data.

Returns
  dbus argument.

Definition at line 206 of file magneticfield.h.